#!/bin/sh

sudo apt-get -y update
sudo apt-get -y dist-upgrade

if [ -f /usr/share/bbb-web/WEB-INF/classes/bigbluebutton.properties ]; then
    SERVLET_DIR=/usr/share/bbb-web
else
    SERVLET_DIR=/var/lib/tomcat7/webapps/bigbluebutton
fi

BBB_WEB_URL=$(cat ${SERVLET_DIR}/WEB-INF/classes/bigbluebutton.properties | grep -v '#' | sed -n '/^bigbluebutton.web.serverURL/{s/.*=//;p}')
RESULT=$(echo $BBB_WEB_URL | awk 'sub(/^.{8}/,"")')

`bbb-conf --setip $RESULT`
`bbb-conf --restart`
